Bug 846266 - [abrt] yum-3.4.3-28.fc17: grabber.py:2089:perform:AssertionError
[abrt] yum-3.4.3-28.fc17: grabber.py:2089:perform:AssertionError
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
abrt_hash:99ccb6d0dda8c7a7dd13dfbebc3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 05:52 EDT by myspwot
Modified: 2014-01-21 18:23 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 07:46:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description myspwot 2012-08-07 05:52:48 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/yum install mysql mysql-server
executable:     /usr/bin/yum
kernel:         3.4.6-2.fc17.i686.PAE
time:           Mon 06 Aug 2012 09:22:46 AM EAT
uid:            0
username:       root

backtrace:
:grabber.py:2089:perform:AssertionError
:
:Traceback (most recent call last):
:  File "/usr/bin/yum", line 29, in <module>
:    yummain.user_main(sys.argv[1:], exit_code=True)
:  File "/usr/share/yum-cli/yummain.py", line 319, in user_main
:    errcode = main(args)
:  File "/usr/share/yum-cli/yummain.py", line 227, in main
:    return_code = base.doTransaction()
:  File "/usr/share/yum-cli/cli.py", line 559, in doTransaction
:    problems = self.downloadPkgs(downloadpkgs, callback_total=self.download_callback_total_cb)
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2280, in downloadPkgs
:    urlgrabber.grabber.parallel_wait()
:  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 2208, in parallel_wait
:    perform()
:  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 2147, in perform
:    for opts, size, ug_err in dl.perform():
:  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 2089, in perform
:    assert event & select.EPOLLIN
:AssertionError
:
:Local variables in innermost frame:
:self: <urlgrabber.grabber._ExternalDownloaderPool instance at 0xa674fec>
:fd: 18
:event: 16
:ret: []

smolt_data:
:
:
:General
:=================================
:UUID: dcf26b2f-b296-49c2-a832-c7306ddc58d4
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 4987.37
:CPU Vendor: GenuineIntel
:CPU Model: Pentium(R) Dual-Core  CPU      E5200  @ 2.50GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2500
:System Memory: 4974
:System Swap: 5567
:Vendor: Hewlett-Packard
:System: HP Compaq dc7800 Small Form Factor 
:Form factor: Low Profile Desktop
:Kernel: 3.4.6-2.fc17.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10516:4156:10264) pci, None, PCI/ISA, 82801IO (ICH9DO) LPC Interface Controller
:(32902:10674:4156:10264) pci, i915, VIDEO, 82Q35 Express Integrated Graphics Controller
:(32902:10528:4156:10264) pci, ata_piix, STORAGE, 82801IR/IO/IH (ICH9R/DO/DH) 4 port SATA IDE Controller
:(32902:10560:4156:10264) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4156:10264) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10676:4156:10264) pci, None, SIMPLE, 82Q35 Express MEI Controller
:(32902:10679:4156:10264) pci, serial, 16550_SERIAL, 82Q35 Express Serial KT Controller
:(32902:10678:4156:10264) pci, ata_generic, STORAGE, 82Q35 Express PT IDER Controller
:(32902:4285:4156:10264) pci, e1000e, ETHERNET, 82566DM-2 Gigabit Network Connection
:(32902:10549:4156:10264) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:9294:4156:10264) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10534:4156:10264) pci, ata_piix, STORAGE, 82801I (ICH9 Family) 2 port SATA IDE Controller
:(32902:10548:4156:10264) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10551:4156:10264) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4156:10264) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(32902:10672:4156:10264) pci, agpgart-intel, HOST/PCI, 82Q35 Express DRAM Controller
:(32902:10558:4156:10264) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10553:4156:10264) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10554:4156:10264) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4156:10264) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_ict--crm-lv_root / ext4 4096 4096 13081025 11604908 10949548 3276800 3101895 3101895
:/dev/sda1 /boot ext4 1024 1024 508644 426795 401195 128016 127672 127672
:/dev/mapper/vg_ict--crm-lv_home /home ext4 4096 4096 24364435 23497126 22276928 6103040 6081270 6081270
:
Comment 1 Zdeněk Pavlas 2012-08-07 07:46:50 EDT
This occurs when the downloader was killed, yum receives EPOLLHUP.  We should probably just abort, avoiding the traceback.  Pushed a fix upstream.
Comment 2 Fedora Update System 2012-08-09 04:20:50 EDT
python-urlgrabber-3.9.1-15.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-urlgrabber-3.9.1-15.fc17
Comment 3 Fedora Update System 2012-08-10 04:42:28 EDT
python-urlgrabber-3.9.1-16.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-urlgrabber-3.9.1-16.fc17
Comment 4 Fedora Update System 2012-08-24 23:02:15 EDT
python-urlgrabber-3.9.1-16.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.